Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class VdbModel

    java.lang.Object
      org.modeshape.sequencer.teiid.VdbModel

All Implemented Interfaces:
  Comparable<VdbModel>

    public class VdbModel

extends Object
implements Comparable<VdbModel>

A simple POJO that is used to represent the information for a model read in from a VDB manifest ("vdb.xml").

Nested Class Summary
`static class` | `VdbModel.ModelType`
`static class` | `VdbModel.Severity` The 'vdb.cnd' and 'teiid.cnd' files contain a property definition for 'vdb:severity' with these literal values.
`static class` | `VdbModel.ValidationMarker`

Constructor Summary
`VdbModel(String name, String type, String pathInVdb)`

Method Summary
`void` | `addImport(String importedPath)`
`void` | `addProblem(String severity, String path, String message)`
`void` | `addProblem(VdbModel.Severity severity, String path, String message)`
`int` | `compareTo(VdbModel that)` The natural order of VDB models is based upon dependencies (e.g., model imports), where models that depends upon other models will always follow the models they depend on.
`long` | `getChecksum()`
`Set<String>` | `getImports()`
`String` | `getName()`
`String` | `getPathInVdb()`
`List<VdbModel.ValidationMarker>` | `getProblems()`
`String` | `getSourceJndiName()`
`String` | `getSourceName()`
`String` | `getSourceTranslator()`
`String` | `getType()`
`boolean` | `isBuiltIn()`
`boolean` | `isVisible()`
`void` | `setBuiltIn(boolean builtIn)`
`void` | `setChecksum(long checksum)`
`void` | `setSourceJndiName(String sourceJndiName)`
`void` | `setSourceName(String sourceName)`
`void` | `setSourceTranslator(String sourceTranslator)`
`void` | `setVisible(boolean visible)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VdbModel

    public VdbModel(String name,
                    String type,
                    String pathInVdb)

Method Detail

### getName

    public String getName()

  Returns:
    name

### getType

    public String getType()

  Returns:
    type

### isVisible

    public boolean isVisible()

  Returns:
    visible

### setVisible

    public void setVisible(boolean visible)

  Parameters:
    `visible` - Sets visible to the specified value.

### isBuiltIn

    public boolean isBuiltIn()

  Returns:
    builtIn

### setBuiltIn

    public void setBuiltIn(boolean builtIn)

  Parameters:
    `builtIn` - Sets builtIn to the specified value.

### getChecksum

    public long getChecksum()

  Returns:
    checksum

### setChecksum

    public void setChecksum(long checksum)

  Parameters:
    `checksum` - Sets checksum to the specified value.

### getPathInVdb

    public String getPathInVdb()

  Returns:
    pathInVdb

### getSourceTranslator

    public String getSourceTranslator()

  Returns:
    sourceTranslator

### setSourceTranslator

    public void setSourceTranslator(String sourceTranslator)

  Parameters:
    `sourceTranslator` - Sets sourceTranslator to the specified value.

### getSourceJndiName

    public String getSourceJndiName()

  Returns:
    sourceJndiName

### setSourceJndiName

    public void setSourceJndiName(String sourceJndiName)

  Parameters:
    `sourceJndiName` - Sets sourceJndiName to the specified value.

### getSourceName

    public String getSourceName()

  Returns:
    sourceName

### setSourceName

    public void setSourceName(String sourceName)

  Parameters:
    `sourceName` - Sets sourceName to the specified value.

### getImports

    public Set<String> getImports()

  Returns:
    imports

### addImport

    public void addImport(String importedPath)

### getProblems

    public List<VdbModel.ValidationMarker> getProblems()

  Returns:
    problems

### addProblem

    public void addProblem(VdbModel.Severity severity,
                           String path,
                           String message)

### addProblem

    public void addProblem(String severity,
                           String path,
                           String message)

### compareTo

    public int compareTo(VdbModel that)

  The natural order of VDB models is based upon dependencies (e.g., model imports), where models that depends upon other models will always follow the models they depend on. Thus any model that has no dependencies will always appear first.

  Specified by:
    `compareTo` in interface `Comparable<VdbModel>`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.